Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_new
Class ServiceProvider

    java.lang.Object
      org.deegree.owscommon_new.ServiceProvider

    public class ServiceProvider

extends Object

`ServiceProvider` stores metadata contained within a ServiceProvider element according to the OWS common specification version 1.0.0.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`ServiceProvider(String providerName, OnlineResource providerSite, CitedResponsibleParty serviceContact)` Standard constructor that initializes all encapsulated data.

Method Summary
`String` | `getProviderName()`
`OnlineResource` | `getProviderSite()`
`CitedResponsibleParty` | `getServiceContact()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProvider

    public ServiceProvider(String providerName,
                           OnlineResource providerSite,
                           CitedResponsibleParty serviceContact)

  Standard constructor that initializes all encapsulated data.

  Parameters:
    `providerName` -
    `providerSite` -
    `serviceContact` -

Method Detail

### getProviderName

    public String getProviderName()

  Returns:
    Returns the providerName.

### getProviderSite

    public OnlineResource getProviderSite()

  Returns:
    Returns the providerSite.

### getServiceContact

    public CitedResponsibleParty getServiceContact()

  Returns:
    Returns the serviceContact.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org